Summary:	AppArmor userlevel utilities that are useful in creating AppArmor profiles
Summary(pl.UTF-8):	Narzędzia przestrzeni użytkownika przydatne do tworzenia profili AppArmor
Name:		apparmor-utils
Version:	2.9.0
Release:	1
Epoch:		1
License:	GPL v2
Group:		Base
Source0:	http://launchpad.net/apparmor/2.9/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	daaeb859452f793abfdafd33f88d3e90
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	gettext-devel
BuildRequires:	python
Provides:	subdomain-utils
Obsoletes:	subdomain-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim/vimfiles

%description
This provides some useful programs to help create and manage AppArmor
profiles. This package is part of a suite of tools that used to be
named SubDomain.

%description -l pl.UTF-8
Ten pakiet dostarcza kilka przydatnych programów pomocnych przy
tworzeniu i zarządzaniu profilami AppArmor. Ten pakiet jest częścią
zestawu narzędzi zwanych SubDomain.

%package -n vim-syntax-apparmor
Summary:	AppArmor files support for Vim
Summary(pl.UTF-8):	Obsługa plików AppArmor dla Vima
Group:		Applications/Editors/Vim
# for _vimdatadir existence
Requires:	vim-rt >= 4:6.3.058-3

%description -n vim-syntax-apparmor
AppArmor files support for Vim.

%description -n vim-syntax-apparmor -l pl.UTF-8
Obsługa plików AppArmor dla Vima.

%prep
%setup -q -n apparmor-%{version}

%{__sed} -i -e '1s, */usr/bin/env python,/usr/bin/python,' utils/aa-*

%install
rm -rf $RPM_BUILD_ROOT
cd utils

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	VIM_INSTALL_PATH=$RPM_BUILD_ROOT%{_vimdatadir}/syntax

install -d $RPM_BUILD_ROOT%{_vimdatadir}/ftdetect
cat > $RPM_BUILD_ROOT%{_vimdatadir}/ftdetect/apparmor.vim <<-EOF
au BufNewFile,BufRead /etc/apparmor.d/*,/etc/apparmor/profiles/* set filetype=apparmor
EOF

cd ..

# only .pyc are created on install
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/apparmor
%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{_sysconfdir}/apparmor
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/easyprof.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/logprof.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/notify.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/severity.db
%attr(755,root,root) %{_bindir}/aa-easyprof
%attr(755,root,root) %{_sbindir}/aa-*
%attr(755,root,root) %{_sbindir}/apparmor_status
%dir %{_datadir}/apparmor
%{_datadir}/apparmor/easyprof
%dir %{py_sitescriptdir}/apparmor
%{py_sitescriptdir}/apparmor/*.py[co]
%{py_sitescriptdir}/apparmor-%{version}-py*.egg-info
%{_mandir}/man5/logprof.conf.5*
%{_mandir}/man8/aa-*.8*
%{_mandir}/man8/apparmor_status.8*

%files -n vim-syntax-apparmor
%defattr(644,root,root,755)
%{_vimdatadir}/ftdetect/apparmor.vim
%{_vimdatadir}/syntax/apparmor.vim
%{_mandir}/man5/apparmor.vim.5*
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apparmor-utils.git;a=log;h=master

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> f391d7c
- updated to 2.9.0
- perl part is deprecated, moved to perl-Immunix.spec

* Mon Feb 24 2014 Jakub Bogusz <qboosh@pld-linux.org> abb94dc
- updated to 2.8.3

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b87ef7d
- up to 2.8.2

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e4530cc
- up to 2.8.1

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 7c6f5cb
- missing dir

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> e7c1687
- package easyprof files

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9535bcb
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> d7e0a3f
- GPL version

* Fri Apr 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 46679d8
- locale comment, more verbose files

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 913d147
- up to 2.7.2

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fea903
- up to 2.6.1

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0368444
- up to 2.6.0

* Wed Mar 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c36ef7
- rel 3

* Wed Mar 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0800d6d
- rel 2; don't autoreq perl(ycp) as it's provided by this pkg; fix pt locale

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b76933
- up to 2.5

* Tue Feb 23 2010 Tomasz Pala <gotar@pld-linux.org> 6f4bcf6
- upgraded to 2.3-1269, rel. 1

* Sun Jun 08 2008 Elan Ruusamäe <glen@pld-linux.org> c93eb1a
- vim-rt dep not vim itself

* Thu May 29 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d4f30a
- up to 2.1.2 1089

* Fri Aug 31 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 3bb247f
- correct R

* Sat Apr 14 2007 zbyniu <zbyniu@pld-linux.org> 08d10e2
- in sources

